Project

General

Profile

Bug #1174

compilation error with OpenSSL 0.9.8j

Added by mbabej (Michal Babej) over 10 years ago. Updated about 8 years ago.

Status:
Open
Priority:
Normal
Assignee:
-
Target version:
ruby -v:
ruby 1.8.6 (2008-08-11 patchlevel 287) [x86_64-linux]
[ruby-core:22229]

Description

=begin
On an x86_64 system with openssl 0.9.8j, ruby-1.8.6-p287 fails to build openssl extension:

compiling openssl
make[1]: Entering directory `/home/mike/ruby-1.8.6-p287/ext/openssl'
gcc -I. -I../.. -I../../. -I../.././ext/openssl -DRUBY_EXTCONF_H=\"extconf.h\" -fPIC -O2 -fno-stack-protector -c ossl_x509name.c
In file included from ossl.h:197,
from ossl_x509name.c:11:
openssl_missing.h:123: error: conflicting types for ‘BN_rand_range’
/usr/lib/gcc/x86_64-unknown-linux-gnu/4.3.3/include-fixed/openssl/bn.h:420: error: previous declaration of ‘BN_rand_range’ was here
openssl_missing.h:124: error: conflicting types for ‘BN_pseudo_rand_range’
/usr/lib/gcc/x86_64-unknown-linux-gnu/4.3.3/include-fixed/openssl/bn.h:421: error: previous declaration of ‘BN_pseudo_rand_range’ was here

I have tracked down the problem here:
http://cvs.openssl.org/filediff?f=openssl/crypto/bn/bn.h&v1=1.125&v2=1.126

ruby 1.8.7 builds without error.
=end

History

#1

Updated by marcandre (Marc-Andre Lafortune) over 9 years ago

  • Category set to build

=begin

=end

Also available in: Atom PDF